﻿<?xml version="1.0" encoding="utf-8"?><Database Name="Product1" Class="SportItemDataContext" xmlns="http://schemas.microsoft.com/linqtosql/dbml/2007">
  <Connection Mode="AppSettings" ConnectionString="Data Source=(localdb)\MSSQLLocalDB;Initial Catalog=Product1;Integrated Security=True;Pooling=False" SettingsObjectName="ShoppingApp1.Properties.Settings" SettingsPropertyName="Product1ConnectionString" Provider="System.Data.SqlClient" />
  <Table Name="dbo.Cart" Member="Carts">
    <Type Name="Cart">
      <Column Name="Id" Type="System.Int32" DbType="Int NOT NULL" CanBeNull="false" />
      <Column Name="Name" Type="System.String" DbType="NVarChar(50) NOT NULL" IsPrimaryKey="true" CanBeNull="false" />
      <Column Name="Price" Type="System.Decimal" DbType="Decimal(16,2) NOT NULL" CanBeNull="false" />
      <Column Name="Quantity" Type="System.Int32" DbType="Int NOT NULL" CanBeNull="false" />
      <Column Name="Total" Type="System.Decimal" DbType="Decimal(16,2)" CanBeNull="true" />
      <Association Name="Products1_Cart" Member="Product" ThisKey="Id" OtherKey="Id" Type="Product" IsForeignKey="true" />
    </Type>
  </Table>
  <Table Name="dbo.Products1" Member="Products">
    <Type Name="Product">
      <Column Name="Id" Type="System.Int32" DbType="Int NOT NULL" IsPrimaryKey="true" CanBeNull="false" />
      <Column Name="Name" Type="System.String" DbType="NVarChar(50) NOT NULL" CanBeNull="false" />
      <Column Name="Description" Type="System.String" DbType="NVarChar(50)" CanBeNull="true" />
      <Column Name="Category" Type="System.String" DbType="NVarChar(50) NOT NULL" CanBeNull="false" />
      <Column Name="Price" Type="System.Decimal" DbType="Decimal(16,2) NOT NULL" CanBeNull="false" />
      <Column Name="Quantity" Type="System.Int32" DbType="Int NOT NULL" CanBeNull="false" />
      <Association Name="Products1_Cart" Member="Carts" ThisKey="Id" OtherKey="Id" Type="Cart" />
    </Type>
  </Table>
</Database>